# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.930.54.3 -> 1.930.54.4
#	arch/ia64/kernel/acpi.c	1.6.1.7 -> 1.6.1.8
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/03/12	alan@lxorguk.ukuu.org.uk	1.930.69.1
# [PATCH] PATCH: ipmp updates
# 
# --------------------------------------------
# 03/03/12	alan@lxorguk.ukuu.org.uk	1.930.69.2
# [PATCH] PATCH: build genrtc if asked for
# 
# --------------------------------------------
# 03/03/12	alan@lxorguk.ukuu.org.uk	1.930.69.3
# [PATCH] PATCH: sign fix in mwave
# 
# --------------------------------------------
# 03/03/12	alan@lxorguk.ukuu.org.uk	1.930.69.4
# [PATCH] PATCH: & v && fix for i2c
# 
# --------------------------------------------
# 03/03/12	agrover@groveronline.com	1.963
# Merge groveronline.com:/root/bk/linux-2.4
# into groveronline.com:/root/bk/linux-2.4-acpi
# --------------------------------------------
# 03/03/12	mgreer@mvista.com	1.930.57.2
# PPC32: Fix a problem with 'next' and 'step' type KGDB commands.
# --------------------------------------------
# 03/03/12	bjorn_helgaas@hp.com	1.930.67.21
# [PATCH] ia64: iosapic: make pcat_compat system property
# 
# Make pcat_compat a system property, not a per-IOSAPIC property.
# --------------------------------------------
# 03/03/12	bjorn_helgaas@hp.com	1.930.67.22
# [PATCH] ia64: iosapic: remove find_iosapic duplication
# 
# Remove IOSAPIC address and GSI base from external interrupt
# registration interfaces.  This lets us remove acpi_find_iosapic(),
# which is functionally similar to find_iosapic().
# --------------------------------------------
# 03/03/12	bjorn_helgaas@hp.com	1.930.67.23
# [PATCH] ia64: iosapic: simplify ISA IRQ init
# 
# Simplify ISA IRQ init by taking advantage of iosapic_override_isa_irq(),
# which already does what we need.
# --------------------------------------------
# 03/03/12	bjorn_helgaas@hp.com	1.930.54.4
# [PATCH] ia64: iosapic: remove find_iosapic duplication
# 
# (Fixup acpi_register_irq(), which goes along with some non-ia64 changes).
# --------------------------------------------
#
diff -Nru a/arch/ia64/kernel/acpi.c b/arch/ia64/kernel/acpi.c
--- a/arch/ia64/kernel/acpi.c	Wed Oct  8 09:06:56 2003
+++ b/arch/ia64/kernel/acpi.c	Wed Oct  8 09:06:56 2003
@@ -757,8 +757,7 @@
 int
 acpi_register_irq (u32 gsi, u32 polarity, u32 mode)
 {
-	u32 irq_base;
-	char *iosapic_address;
+	int vector = 0;
 
 	if (has_8259 && gsi < 16)
 		return isa_irq_to_vector(gsi);
@@ -766,13 +765,9 @@
 	if (!iosapic_register_intr)
 		return 0;
 
-	if (!acpi_find_iosapic(gsi, &irq_base, &iosapic_address))
-		return iosapic_register_intr(gsi,
-				polarity == ACPI_ACTIVE_HIGH,
-				mode == ACPI_EDGE_SENSITIVE,
-				irq_base, iosapic_address);
-
-	return 0;
+	/* Turn it on */
+	vector = iosapic_register_intr(gsi, polarity, mode);
+	return vector;
 }
 
 #endif /* CONFIG_ACPI_BOOT */
